import sys
import zmq
import tornado
from tornado.ioloop import IOLoop

from sql_injection_fsm import SQLInjectionFSM
from tfw.networking.server.tfw_server import TFWServer
from tfw.config import TFWENV
from tfw.config.logs import logging
LOG = logging.getLogger(__name__)


if __name__ == '__main__':
    TFWServer(SQLInjectionFSM).listen(TFWENV.WEB_PORT)
    LOG.debug('Python version: %s', sys.version[:5])
    LOG.debug('Tornado version: %s', tornado.version)
    LOG.debug('ZeroMQ version: %s', zmq.zmq_version())
    LOG.debug('PyZMQ version: %s', zmq.pyzmq_version())
    LOG.info('Tornado application listening on port %s', TFWENV.WEB_PORT)
    IOLoop.instance().start()
